1

Topic: Installation on Amazon Linux AMI - Install dovecot-managesieve failed

==== Required information ====
- iRedMail version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Linux/BSD distribution name and version:
- Related log if you're reporting an issue:
==== ==== Required information ====
- iRedMail version: 0.8.3
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
- Linux/BSD distribution name and version: Amazon Linux AMI 3.2.22-35.60
- Related log if you're reporting an issue:
====

Tried to yum install dovecot-managesieve but received the Transaction Check Error message ... any suggestions on how to move forward greatly appreciated:

Transaction Check Error:
  file /usr/libexec/dovecot/managesieve from install of dovecot-managesieve-2:0.2.6-21.el6.x86_64 conflicts with file from package dovecot-1:2.0.9-2.9.amzn1.x86_64
  file /usr/libexec/dovecot/managesieve-login from install of dovecot-managesieve-2:0.2.6-21.el6.x86_64 conflicts with file from package dovecot-1:2.0.9-2.9.amzn1.x86_64
  file /usr/lib64/dovecot/settings/libmanagesieve_login_settings.so from install of dovecot-managesieve-2:0.2.6-21.el6.x86_64 conflicts with file from package dovecot-pigeonhole-1:2.0.9-2.9.amzn1.x86_64
  file /usr/lib64/dovecot/settings/libmanagesieve_settings.so from install of dovecot-managesieve-2:0.2.6-21.el6.x86_64 conflicts with file from package dovecot-pigeonhole-1:2.0.9-2.9.amzn1.x86_64
  file /usr/libexec/dovecot/managesieve from install of dovecot-managesieve-2:0.2.6-21.el6.x86_64 conflicts with file from package dovecot-pigeonhole-1:2.0.9-2.9.amzn1.x86_64
  file /usr/libexec/dovecot/managesieve-login from install of dovecot-managesieve-2:0.2.6-21.el6.x86_64 conflicts with file from package dovecot-pigeonhole-1:2.0.9-2.9.amzn1.x86_64

Error Summary
-------------

2

Re: Installation on Amazon Linux AMI - Install dovecot-managesieve failed

Please remove installed dovecot packages pre-installed by Amazon to avoid package conflict, then try again:

# yum remove dovecot*